Package org.gradle.tooling.events.task

# Interface TaskStartEvent

All Superinterfaces:
  `ProgressEvent`, `StartEvent`, `TaskProgressEvent`

@Incubating public interface TaskStartEvent extends TaskProgressEvent, StartEvent
An event that informs about a task having started its execution.

Since:
  2.5

## Method Summary

### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

`getDisplayName, getEventTime`

### Methods inherited from interface org.gradle.tooling.events.task.TaskProgressEvent

`getDescriptor`